## otp 0.1.0

=== DESCRIPTION ===
Package: otp
Title: One Time Password Generation and Verification
Version: 0.1.0
Authors@R: 
    person(given = "Randy",
           family = "Lai",
           role = c("aut", "cre", "cph"),
           email = "randy.cs.lai@gmail.com")
Description: Generating and validating One-time Password based on 
    Hash-based Message Authentication Code (HOTP) 
    and Time Based One-time Password (TOTP)
    according to RFC 4226 <https://tools.ietf.org/html/rfc4226> and
    RFC 6238 <https://tools.ietf.org/html/rfc6238>.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
URL: https://github.com/randy3k/otp
BugReports: https://github.com/randy3k/otp/issues
Imports: R6, base64url, openssl
RoxygenNote: 7.1.0.9000
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2020-05-01 05:02:21 UTC; Randy
Author: Randy Lai [aut, cre, cph]
Maintainer: Randy Lai <randy.cs.lai@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-05 15:30:09 UTC

## otp 0.1-1

=== debian/changelog ===
otp (0.1-1) unstable; urgency=low

  * Initial release
  * 

 -- Sean Whitbeck <sean@neush.net>  Fri, 28 Jan 2011 13:42:52 +0100

=== debian/control ===
Source: otp
Section: unknown
Priority: extra
Maintainer: Sean Whitbeck <sean@neush.net>
Build-Depends: debhelper (>= 5), autotools-dev, libhildon1-dev (>= 2.2), libosso-dev (>= 2.32)
Standards-Version: 3.7.2

Package: otp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OTP Generator for N900
 OTP Generator for Maemo on the Nokia N900. Supports OATH tokens 
 (HOTP,TOTP) as well as the Mobile-OTP algorithm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/otp.sgml > otp.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/otp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/otp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## otp 0.1.1

=== DESCRIPTION ===
Package: otp
Title: One Time Password Generation and Verification
Version: 0.1.1
Date: 2024-01-22
Authors@R: 
    person(given = "Randy",
           family = "Lai",
           role = c("aut", "cre", "cph"),
           email = "randy.cs.lai@gmail.com")
Description: Generating and validating One-time Password based on 
    Hash-based Message Authentication Code (HOTP) 
    and Time Based One-time Password (TOTP)
    according to RFC 4226 <https://datatracker.ietf.org/doc/html/rfc4226> and
    RFC 6238 <https://datatracker.ietf.org/doc/html/rfc6238>.
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://github.com/randy3k/otp
BugReports: https://github.com/randy3k/otp/issues
Imports: R6, base64url, openssl
RoxygenNote: 7.3.0
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2024-01-22 23:56:59 UTC; randylai
Author: Randy Lai [aut, cre, cph]
Maintainer: Randy Lai <randy.cs.lai@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-23 00:20:02 UTC

## otp 1.2.1

=== Makefile ===

CC = gcc
#CFLAGS = -g -DDEBUG
CFLAGS = -O -Wall

PAGER = less

otp:	otp.o md5.o random.o
	$(CC) $(CFLAGS) otp.o md5.o random.o -o otp

manpage:
	nroff -man otp.1 | $(PAGER)

printman:
	groff -man otp.1 | lp

otp.man: otp.1
	nroff -man otp.1 | col -b >otp.man

tar:	clean
	tar cfv /tmp/otp.tar . 
	rm -f /tmp/otp.tar.gz
	gzip /tmp/otp.tar

check:	otp
	chmod u+x test.bat
	./test.sh
	diff test.mas test.out

clean:
	rm -f *.bak *.o otp test.out *.shar core core.* \
	      *.obj *.pdb *.sbr *.bsc *.vcw *.bin t?*.md5

=== debian/changelog ===
otp (1:1.2.1-1) unstable; urgency=low

  * New upstream Release (closes: #677079).
  * New Maintainer (adopted after email exchange with Pawel Wiecek).
  * Bump standards version to 3.9.3 (no changes required).
  * Add Homepage to debian/control.
  * Bump debhelper compat level to 5

 -- Colin Tuckley <colint@debian.org>  Sat, 16 Jun 2012 11:40:18 +0100

otp (970425-7) unstable; urgency=low

  * Applied patch from Martin Orr to fix segfaults on 64 bit archs
    (closes: #343524)
  * Rebuilt to finish /usr/doc transition (closes: #359544)
  * Updated standards-version in debian/control

 -- Pawel Wiecek <coven@debian.org>  Wed, 29 Mar 2006 23:16:53 +0200

otp (970425-6) unstable; urgency=low

  * Fixed a couple of minor spelling issues in debian/control
    (closes: #125210)

 -- Pawel Wiecek <coven@debian.org>  Tue, 18 Dec 2001 10:10:02 +0100

otp (970425-5) unstable; urgency=low

  * New maintainer (closes: #92731)

 -- Pawel Wiecek <coven@debian.org>  Wed,  9 May 2001 13:31:07 +0200

otp (970425-4) unstable; urgency=low

  * Package is orphaned (see #92731); maintainer set to Debian QA Group.
  * Converted to debhelper.  Closes: #61330, #62902, #84542, #91026,
    #91606.
  * Conforms to Standards version 3.5.2:
    * Added build dependencies.
    * debian/rules: Support the `debug' build option.

 -- Matej Vela <vela@debian.org>  Sun,  8 Apr 2001 15:01:13 +0200

otp (970425-3) frozen unstable; urgency=low

  * Distribution to frozen was rejected (Needs new maintainer version)

 -- Jens Ritter <grimaldi@debian.org>  Wed, 15 Apr 1998 11:02:36 +0200

otp (970425-2) frozen unstable; urgency=low

  * changed Architecture to any (closes Bug #19692)
  * added Distribution frozen unstable.

 -- Jens Ritter <grimaldi@debian.org>  Mon, 23 Mar 1998 17:17:43 +0100

otp (970425-1) unstable; urgency=low

  * Initial Release.
  * uncommented a C header for random() (it`s different in stdlib.h)
  * created test.sh (replaces test.bat for MSDOS)
  * edited target "test" in Makefile for usage of test.sh,
           added rm in target test
  * modified README with documentation from otp.c

 -- Jens Ritter <grimaldi@debian.org>  Tue, 24 Feb 1998 11:05:23 +0100

=== debian/control ===
Source: otp
Section: misc
Priority: optional
Maintainer: Colin Tuckley <colint@debian.org>
Homepage: http://www.fourmilab.ch/onetime/otpgen.html
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5)

Package: otp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generator for One Time Pads or Passwords
 otp  creates  key  and password lists for verification and
 security purposes in a variety of formats.  Keys can be of
 any length, consist of digits or letters (capital or lower
 case), and alphabetic passwords  can  either  be  entirely
 random (most secure) or obey the digraph statistics of
 English text (easier to remember when transcribing, but less
 secure).
 .
 For  computer  applications,  for  example  one-time login
 passwords, otp can create a file containing the MD5
 signature of each of the generated keys.  This permits the
 computer to verify keys without the need to store the keys in
 plaintext.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS := -O2 -Wall
ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
CFLAGS += -g
endif

clean:
	dh_testdir
	dh_testroot
	-rm -rf *-stamp
	dh_clean
	$(MAKE) clean

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	> $@

binary: binary-arch binary-indep

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin
	install otp debian/otp/usr/bin
	dh_installdocs README
	dh_installman otp.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build

.PHONY: clean build binary binary-arch binary-indep

## otp 1.2.2

=== Makefile ===

CC = gcc
#CFLAGS = -g -DDEBUG
CFLAGS = -O -Wall

VERSION = 1.2.2

PAGER = less

FILES = Makefile Onetime.sln Onetime.vcproj README log.txt md5.c \
	md5.h otp.1 otp.c otp.exe random.c test.bat test.mas test.sh

otp:	otp.o md5.o random.o
	$(CC) $(CFLAGS) otp.o md5.o random.o -o otp

manpage:
	nroff -man otp.1 | $(PAGER)

printman:
	groff -man otp.1 | lp

otp.man: otp.1
	nroff -man otp.1 | col -b >otp.man

dist:	clean
	mkdir otp-$(VERSION)
	cp -p $(FILES) otp-$(VERSION)
	tar cfv otp-$(VERSION).tar otp-$(VERSION)
	rm -f otp-$(VERSION).tar.gz
	gzip otp-$(VERSION).tar
	rm -rf otp-$(VERSION)

check:	otp
	chmod u+x test.bat
	./test.sh
	diff test.mas test.out

clean:
	rm -f *.bak *.o otp test.out *.shar core core.* \
	      *.obj *.pdb *.sbr *.bsc *.vcw *.bin t?*.md5 \
	      *.gz *.tar
	rm -rf otp-$(VERSION)

=== debian/changelog ===
otp (1:1.2.2-1) unstable; urgency=low

  * New upstream version (closes: #750140).
  * Bump debhelper compat level to 9 for hardening
  * Fix Makefile and debian/rules for hardening.
  * Bump standards version to 3.9.5 (no changes required).
  * Added debian/watch file.

 -- Colin Tuckley <colint@debian.org>  Wed, 04 Jun 2014 11:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Colin Tuckley <colint@debian.org>
 Homepage: http://www.fourmilab.ch/onetime/otpgen.html
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 5)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
 
 Package: otp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-CFLAGS := -O2 -Wall
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS += -Wall
 ifneq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
 CFLAGS += -g
 endif
@@ -17,7 +19,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE)
 	> $@
 
 binary: binary-arch binary-indep

=== debian/watch ===
version=3
http://www.fourmilab.ch/onetime/ otp-([0-9.]*)\.tar\.gz

## otp 970425

=== Makefile ===

#CFLAGS = -g -DDEBUG
CFLAGS = -O

otp:	otp.o md5.o random.o
	cc $(CFLAGS) otp.o md5.o random.o -o otp
#	strip otp

manpage:
	nroff -man otp.1 | $(PAGER)

printman:
	ptroff -man otp.1

otp.man: otp.1
	nroff -man otp.1 | col -b >otp.man

tar:	clean
	tar cfv /tmp/otp.tar . 
	rm -f /tmp/otp.tar.gz
	gzip /tmp/otp.tar

test:	otp
	chmod u+x test.bat
	test.bat
	diff test.mas test.out

clean:
	rm -f *.bak *.o otp test.out *.shar core *.obj *.pdb *.sbr *.bsc *.vcw *.bin t?*.md5
